# -*- encoding: utf-8 -*-
# stub: vincenty 1.0.8 ruby lib

Gem::Specification.new do |s|
  s.name = "vincenty".freeze
  s.version = "1.0.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Rob Burrowes".freeze]
  s.date = "2016-12-03"
  s.description = "* Vincenty wrote an algorithm for calculating the bearing and distance between two coordinates on the earth\n  and an algorithm for finding a second coordinate, given a starting coordinate, bearing and destination.\n  The algorithms model the earth as an ellipsoid, using the WGS-84 model. This is the common GPS model for\n  mapping to latitudes and longitudes.\n\n  This is a Ruby implementation of Vincenty's algorithms, and the Vincenty class includes two methods for \n  modeling the earth as a sphere. These were added as a reference for testing the Vincenty algorithm, but\n  could be used on their own. \n\n  The package also makes use of several other classes that may be useful in their own Right. These include\n  class Angle, class Latitude (subclass of Angle), class Longitude (subclass of Angle), \n  class TrackAndBearing and class coordinate (which class Vincenty is a subclass)\n\n  Angle requires extensions to Numeric and String to provide to_radians (to_r) and to_degrees (to_d). String also includes a to_decimal_degrees(), which converts most string forms of Latitude and Longitude to decimal form. These extensions are included in the package in core_extensions.rb. Float has also been extended to change round to have an optional argument specifying the number of decimal places to round to. This is fully compatible with the Float.round, as the default is to round to 0 decimal places.\n\n*  The Vincenty code is based on the wikipedia presentation of the Vincenty algorithm http://en.wikipedia.org/wiki/Vincenty%27s_formulae .\n*  The algorithm was modified to include changes I found at http://www.movable-type.co.uk/scripts/latlong-vincenty-direct.html.\n*  I also altered the formulae to correctly return the bearing for angles greater than 180. \n  \n* Vincenty's original publication\n\n** T Vincenty, \"Direct and Inverse Solutions of Geodesics on the Ellipsoid with application of nested equations\", Survey Review, vol XXII no 176, 1975 http://www.ngs.noaa.gov/PUBS_LIB/inverse.pdf".freeze
  s.email = ["r.burrowes@auckland.ac.nz".freeze]
  s.extra_rdoc_files = ["History.txt".freeze, "Manifest.txt".freeze, "README.md".freeze]
  s.files = ["History.txt".freeze, "Manifest.txt".freeze, "README.md".freeze]
  s.homepage = "http://rbur004.github.com/vincenty/".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--markup".freeze, "markdown".freeze, "--protected".freeze, "--title".freeze, "Vincenty".freeze, "--quiet".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "* Vincenty wrote an algorithm for calculating the bearing and distance between two coordinates on the earth and an algorithm for finding a second coordinate, given a starting coordinate, bearing and destination".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<hoe-yard>.freeze, [">= 0.1.2"])
    s.add_development_dependency(%q<hoe>.freeze, ["~> 3.15"])
  else
    s.add_dependency(%q<hoe-yard>.freeze, [">= 0.1.2"])
    s.add_dependency(%q<hoe>.freeze, ["~> 3.15"])
  end
end
